#define PUMPCOUNTS 6      // Number Pumps
#define LIGHT_CHANEL 8    
#define LIGHT_VALUES 10
#define KEYPADI2C 0x20
#define NANO
//#define MEGA


  // PIN MAPPING NICHT ÄNDERN!!!
#ifdef NANO
  #define PIN_TEMP 4  // Temperatur
  #define DOSE4 8      // Dosierpumpe 
  #define DOSE3 9      // Dosierpumpe 
  #define DOSE2 10      // PWM PIN    // Dosierpumpe 
  #define DOSE1 11  // Dosierpumpe 
  #define PIN_PWM 12  // PWM PIN    // Lüfter
#elif MEGA
  #define PIN_TEMP 4  // Temperatur
  #define DOSE4 8      // Dosierpumpe 
  #define DOSE3 9      // Dosierpumpe 
  #define DOSE2 10      // PWM PIN    // Dosierpumpe 
  #define DOSE1 11  // Dosierpumpe 
  #define PIN_PWM 12  // PWM PIN    // Lüfter
#else
  #define PIN_TEMP 2  // Temperatur
  #define PIN_PWM 3  // PWM PIN    // Lüfter
  #define DOSE4 4  // Dosierpumpe 
  #define DOSE3 11      // PWM PIN    // Dosierpumpe 
  #define DOSE2 12      // Dosierpumpe 
  #define DOSE1 13      // Dosierpumpe 
#endif

//#define  2
//#define  3
//#define  2
//#define  3
//#define  5
//#define  6
//#define  7
//#define  13
//#define  14
//#define  15
//#define  16
//#define  17

// Temperatur ab Wann Lüfter an gehen (Ganzzahl)
int coolingTemp = 40;
// Geschwindigkeit der Lüfter -> 0 Aus, 255 Maximale Geschwindigkeit
int pwmValue = 255;

// Neu zuordnung der Pins für Dosierung
int dosingPins[]={DOSE1,DOSE2,DOSE3,DOSE4};

// Pumpen Einstellungen
// Uhrzeit, Aktive, Name, Pin Adresse (von array oben), Status (ignorieren, nur wichtig für Programm), Milliliter per minute, Milliliter pro Dosierung
PUMP dosing[] = {  
{get_ts(10,0,0),1,"EI",dosingPins[0],false,60,4},
{get_ts(11,0,0),1,"E",dosingPins[1],false,60,3},
{get_ts(19,25,0),0,"E",dosingPins[2],false,60,3},
{get_ts(19,26,0),0,"E",dosingPins[3],false,60,3},
{get_ts(19,23,0),0,"E",dosingPins[2],false,60,3},
{get_ts(19,28,0),0,"E",dosingPins[0],false,60,5},
};

// Licht Einstellungen immer paar aus Uhrzeit und % angabe. Je reihe Zahl von LIGHT_VALUES, so viele Reihen wie in LIGHT_CHANEL
LIGHT light_channels[LIGHT_CHANEL][LIGHT_VALUES] ={
        {{get_ts(0,1,0),0},{get_ts(9,0,0),0},{get_ts(11,0,0),100},{get_ts(19,0,0),100},{get_ts(21,0,0),0},{get_ts(21,30,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0}},
        {{get_ts(0,1,0),0},{get_ts(10,0,0),0},{get_ts(11,30,0),100},{get_ts(19,0,0),100},{get_ts(20,0,0),0},{get_ts(21,30,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0}},
        {{get_ts(0,1,0),0},{get_ts(9,0,0),0},{get_ts(11,0,0),100},{get_ts(19,0,0),100},{get_ts(21,0,0),0},{get_ts(21,30,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0}},
        {{get_ts(0,1,0),0},{get_ts(10,0,0),0},{get_ts(11,30,0),100},{get_ts(19,0,0),100},{get_ts(20,0,0),0},{get_ts(21,30,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0}},
        {{get_ts(10,30,0),0},{get_ts(11,30,0),0},{get_ts(12,30,0),0},{get_ts(13,30,0),0},{get_ts(14,30,0),0},{get_ts(15,30,0),0},{get_ts(16,30,0),0},{get_ts(17,30,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0}},
        {{get_ts(10,30,0),0},{get_ts(11,30,0),0},{get_ts(12,30,0),0},{get_ts(13,30,0),0},{get_ts(14,30,0),0},{get_ts(15,30,0),0},{get_ts(16,30,0),0},{get_ts(17,30,0),0},{get_ts(23,30,0),0},{get_ts(23,32,0),0}},
        {{get_ts(0,1,0),0},{get_ts(8,30,0),0},{get_ts(9,0,0),20},{get_ts(9,30,0),0},{get_ts(20,0,0),0},{get_ts(20,30,0),60},{get_ts(21,0,0),0},{get_ts(23,30,0),0},{get_ts(23,30,0),0},{get_ts(23,30,0),0}}, //Rot
        {{get_ts(0,1,0),5},{get_ts(8,30,0),5},{get_ts(9,30,0),0},{get_ts(20,30,0),0},{get_ts(21,0,0),30},{get_ts(21,30,0),20},{get_ts(21,50,0),10},{get_ts(21,55,20),10},{get_ts(23,55,20),5},{get_ts(23,55,50),5}}  // Blau
      };

LIGHT dimming[LIGHT_CHANEL] ={{0,0},{0,0},{0,0},{0,0},{0,0},{0,0},{0,0},{0,0}};
